// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(Packages.com.silverwrist.dynamo.test);

request_help = bsf.lookupBean("request_help");
session = request_help.session;

hits = 0;
try
{
  hits = cast.toInteger(session.getObject("TEST:","hitcount"));
}
catch (e)
{
  etype = dynamo.exceptionType(e) + "";
  if (etype.match("NoSuchObjectException"))
    hits = 0;
  else
    dynamo.scriptReturn(e);

} // end catch

newcount = cast.toIntegerObject(hits + 1);
logger.info("New count is: " + newcount);
session.setObject("TEST:","hitcount",newcount);

// output the velocity template
rc = new SimpleVelocityObject();
rc.templateName = "hitcount.vm";
rc.setParameter("hits",newcount);
dynamo.scriptReturn(rc);

